InputScannerThread
Date: 2019-10-22

org.openscience.jmol.app

## Class InputScannerThread

- java.lang.Object
- - java.lang.Thread
  - - org.openscience.jmol.app.InputScannerThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class InputScannerThread
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.StringBuilder` | `buffer`
    `private boolean` | `isSilent`
    `private java.util.Scanner` | `scanner`
    `private JmolViewer` | `vwr`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputScannerThread(JmolViewer vwr, boolean isSilent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private boolean` | `checkCommand()`
    `void` | `run()`
    `private void` | `say(java.lang.String msg)`
    `void` | `start()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          private JmolViewer vwr

    - #### scanner

          private java.util.Scanner scanner

    - #### isSilent

          private boolean isSilent

    - #### buffer

          private java.lang.StringBuilder buffer

  - ### Constructor Detail

    - #### InputScannerThread

          InputScannerThread(JmolViewer vwr,
                             boolean isSilent)

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `java.lang.Thread`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### say

          private void say(java.lang.String msg)

    - #### checkCommand

          private boolean checkCommand()